%global momorel 2

Name:           openmpi
Version:        1.2.6
Release: %{momorel}m%{?dist}
Summary:        Open Message Passing Interface

Group:          Development/Libraries
License:        BSD
URL:            http://www.open-mpi.org/
Source0:       	http://www.open-mpi.org/software/ompi/v1.2/downloads/%{name}-%{version}.tar.bz2
NoSource: 0
Source1:	openmpi.pc.in
Source2:	openmpi.module.in
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-gfortran, autoconf, automake, libtool
#BuildRequires:  libibverbs-devel, opensm-devel, libsysfs-devel
#Requires(post): /sbin/ldconfig, /usr/sbin/alternatives
Requires(post): chkconfig
ExclusiveArch: i386 i586 i686 x86_64 ia64 ppc ppc64
Conflicts: mpich < 1.2.6-3m

%package devel
Summary:        Development files for openmpi
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description
Open MPI is an open source, freely available implementation of both the 
MPI-1 and MPI-2 standards, combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available.  A completely new MPI-2
compliant implementation, Open MPI offers advantages for system and
software vendors, application developers, and computer science
researchers. For more information, see http://www.open-mpi.org/ .

%description devel
Contains development headers and libraries for openmpi

%prep
%setup -q
%ifarch x86_64
XCFLAGS="$RPM_OPT_FLAGS -fPIC"
XCXXFLAGS="$RPM_OPT_FLAGS -fPIC"
XFFLAGS="$RPM_OPT_FLAGS -fPIC"
%endif

%build
%configure \
	--includedir=%{_includedir}/%{name} \
	--libdir=%{_libdir}/%{name} \
	--datadir=%{_datadir}/%{name}/help \
	LDFLAGS='-Wl,-z,noexecstack' \
	CFLAGS="$CFLAGS $XCFLAGS" \
	CXXFLAGS="$CFLAGS $XCFLAGS" \
	FFLAGS="$FFLAGS $XFLAGS";
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

# The three installed man pages are all identical and could be hard links.
# Doesn't really matter though, since we are using alternatives to do
# master and slave linking, remove the man page that goes with the common
# name and link to the uncommon man page via alternatives.
rm -rf ${RPM_BUILD_ROOT}%{_mandir}/man1/mpiexec.1
rm -rf ${RPM_BUILD_ROOT}%{_mandir}/man1/mpirun.1

# Remove the symlinks from common names to the unique name in /usr/bin too
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/mpi*
# Remove the unnecessary compiler common names
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/*{cc,c++,CC}

echo %{_libdir}/%{name} > ${RPM_BUILD_ROOT}%{_libdir}/%{name}/%{name}.ld.conf
# Make the pkgconfig files
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig;
sed 's#@VERSION@#'%{version}'#;s#@LIBDIR@#'%{_libdir}/%{name}'#;s#@INCLUDEDIR@#'%{_includedir}/%{name}'#' < %SOURCE1 > ${RPM_BUILD_ROOT}/%{_libdir}/pkgconfig/%{name}.pc;
sed 's#@DATADIR@#'%{_datadir}/%{name}'#;s#@NAME@#'%{name}'#' < %SOURCE2 > ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/%{name}.module

find %{buildroot} -maxdepth 1 -name "*.la" -delete

%clean
[ ! -z "${RPM_BUILD_ROOT}" ] && rm -rf ${RPM_BUILD_ROOT}

%post
if [ "$1" -eq 1 ]; then
	alternatives --install %{_sysconfdir}/ld.so.conf.d/mpi.conf mpi \
				%{_libdir}/openmpi/openmpi.ld.conf 10 \
		--slave %{_bindir}/mpirun mpi-run %{_bindir}/orterun \
		--slave %{_bindir}/mpiexec mpi-exec %{_bindir}/orterun \
		--slave %{_mandir}/man1/mpirun.1.bz2 mpi-run-man \
			%{_mandir}/man1/orterun.1.bz2 \
		--slave %{_mandir}/man1/mpiexec.1.bz2 mpi-exec-man \
			%{_mandir}/man1/orterun.1.bz2
fi;
/sbin/ldconfig

%preun
if [ "$1" -eq 0 ]; then
	alternatives --remove mpi %{_libdir}/openmpi/openmpi.ld.conf
fi

%postun -p /sbin/ldconfig

%post devel
if [ "$1" -eq 1 ]; then
	alternatives --install  %{_bindir}/mpicc mpicc \
				%{_bindir}/opal_wrapper 10 \
		--slave %{_bindir}/mpic++ mpic++ %{_bindir}/opal_wrapper \
		--slave %{_bindir}/mpiCC mpiCC %{_bindir}/opal_wrapper \
		--slave %{_bindir}/mpicxx mpicxx %{_bindir}/opal_wrapper \
		--slave %{_bindir}/mpif77 mpif77 %{_bindir}/opal_wrapper \
		--slave %{_bindir}/mpif90 mpif90 %{_bindir}/opal_wrapper
fi

%preun devel
if [ "$1" -eq 0 ]; then
	alternatives --remove mpicc %{_bindir}/opal_wrapper
fi

%postun devel -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE README
%config(noreplace) %{_sysconfdir}/openmpi-*
#%{_bindir}/orteconsole
%{_bindir}/orted
#%{_bindir}/orteprobe
%{_bindir}/orterun
%{_bindir}/ompi_info
#%{_bindir}/openmpi
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{name}
%{_libdir}/%{name}/*.so.*
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/%{name}/*.so
%{_libdir}/%{name}/%{name}/*.la
%{_libdir}/%{name}/*.conf

%{_mandir}/man1/mpiCC.1.*
%{_mandir}/man1/mpic++.1.*
%{_mandir}/man1/orterun.1.*
# conflicts mpich1 
%exclude %{_mandir}/man1/mpicc.1.*
%exclude %{_mandir}/man1/mpicxx.1.*
%exclude %{_mandir}/man1/mpif77.1.*
%exclude %{_mandir}/man1/mpif90.1.*

%{_mandir}/man3/MPI.3.*
%{_mandir}/man3/MPI_Add_error_class.3.*
%{_mandir}/man3/MPI_Add_error_code.3.*
%{_mandir}/man3/MPI_Add_error_string.3.*
%{_mandir}/man3/MPI_Comm_call_errhandler.3.*
%{_mandir}/man3/MPI_Comm_set_errhandler.3.*
%{_mandir}/man3/MPI_File_call_errhandler.3.*
%{_mandir}/man3/MPI_File_create_errhandler.3.*
%{_mandir}/man3/MPI_Grequest_complete.3.*
%{_mandir}/man3/MPI_Grequest_start.3.*
%{_mandir}/man3/MPI_Pack_external.3.*
%{_mandir}/man3/MPI_Pack_external_size.3.*
%{_mandir}/man3/MPI_Request_get_status.3.*
%{_mandir}/man3/MPI_Sizeof.3.*
%{_mandir}/man3/MPI_Status_set_cancelled.3.*
%{_mandir}/man3/MPI_Status_set_elements.3.*
%{_mandir}/man3/MPI_Type_create_f90_complex.3.*
%{_mandir}/man3/MPI_Type_create_f90_integer.3.*
%{_mandir}/man3/MPI_Type_create_f90_real.3.*
%{_mandir}/man3/MPI_Type_create_indexed_block.3.*
%{_mandir}/man3/MPI_Type_create_resized.3.*
%{_mandir}/man3/MPI_Type_match_size.3.*
%{_mandir}/man3/MPI_Unpack_external.3.*
%{_mandir}/man3/MPI_Unpublish_name.3.*
%{_mandir}/man3/MPI_Win_lock.3.*
%{_mandir}/man3/MPI_Win_test.3.*
%{_mandir}/man3/OpenMPI.3.*

# conflicts lam
%exclude %{_mandir}/man3/MPI_Abort.3.*
%exclude %{_mandir}/man3/MPI_Accumulate.3.*
%exclude %{_mandir}/man3/MPI_Address.3.*
%exclude %{_mandir}/man3/MPI_Allgather.3.*
%exclude %{_mandir}/man3/MPI_Allgatherv.3.*
%exclude %{_mandir}/man3/MPI_Alloc_mem.3.*
%exclude %{_mandir}/man3/MPI_Allreduce.3.*
%exclude %{_mandir}/man3/MPI_Alltoall.3.*
%exclude %{_mandir}/man3/MPI_Alltoallv.3.*
%exclude %{_mandir}/man3/MPI_Alltoallw.3.*
%exclude %{_mandir}/man3/MPI_Attr_delete.3.*
%exclude %{_mandir}/man3/MPI_Attr_get.3.*
%exclude %{_mandir}/man3/MPI_Attr_put.3.*
%exclude %{_mandir}/man3/MPI_Barrier.3.*
%exclude %{_mandir}/man3/MPI_Bcast.3.*
%exclude %{_mandir}/man3/MPI_Bsend.3.*
%exclude %{_mandir}/man3/MPI_Bsend_init.3.*
%exclude %{_mandir}/man3/MPI_Buffer_attach.3.*
%exclude %{_mandir}/man3/MPI_Buffer_detach.3.*
%exclude %{_mandir}/man3/MPI_Cancel.3.*
%exclude %{_mandir}/man3/MPI_Cart_coords.3.*
%exclude %{_mandir}/man3/MPI_Cart_create.3.*
%exclude %{_mandir}/man3/MPI_Cart_get.3.*
%exclude %{_mandir}/man3/MPI_Cart_map.3.*
%exclude %{_mandir}/man3/MPI_Cart_rank.3.*
%exclude %{_mandir}/man3/MPI_Cart_shift.3.*
%exclude %{_mandir}/man3/MPI_Cart_sub.3.*
%exclude %{_mandir}/man3/MPI_Cartdim_get.3.*
%exclude %{_mandir}/man3/MPI_Close_port.3.*
%exclude %{_mandir}/man3/MPI_Comm_accept.3.*
%exclude %{_mandir}/man3/MPI_Comm_c2f.3.*
%exclude %{_mandir}/man3/MPI_Comm_compare.3.*
%exclude %{_mandir}/man3/MPI_Comm_connect.3.*
%exclude %{_mandir}/man3/MPI_Comm_create.3.*
%exclude %{_mandir}/man3/MPI_Comm_create_errhandler.3.*
%exclude %{_mandir}/man3/MPI_Comm_create_keyval.3.*
%exclude %{_mandir}/man3/MPI_Comm_delete_attr.3.*
%exclude %{_mandir}/man3/MPI_Comm_disconnect.3.*
%exclude %{_mandir}/man3/MPI_Comm_dup.3.*
%exclude %{_mandir}/man3/MPI_Comm_f2c.3.*
%exclude %{_mandir}/man3/MPI_Comm_free.3.*
%exclude %{_mandir}/man3/MPI_Comm_free_keyval.3.*
%exclude %{_mandir}/man3/MPI_Comm_get_attr.3.*
%exclude %{_mandir}/man3/MPI_Comm_get_errhandler.3.*
%exclude %{_mandir}/man3/MPI_Comm_get_name.3.*
%exclude %{_mandir}/man3/MPI_Comm_get_parent.3.*
%exclude %{_mandir}/man3/MPI_Comm_group.3.*
%exclude %{_mandir}/man3/MPI_Comm_join.3.*
%exclude %{_mandir}/man3/MPI_Comm_rank.3.*
%exclude %{_mandir}/man3/MPI_Comm_remote_group.3.*
%exclude %{_mandir}/man3/MPI_Comm_remote_size.3.*
%exclude %{_mandir}/man3/MPI_Comm_set_attr.3.*
%exclude %{_mandir}/man3/MPI_Comm_set_name.3.*
%exclude %{_mandir}/man3/MPI_Comm_size.3.*
%exclude %{_mandir}/man3/MPI_Comm_spawn.3.*
%exclude %{_mandir}/man3/MPI_Comm_spawn_multiple.3.*
%exclude %{_mandir}/man3/MPI_Comm_split.3.*
%exclude %{_mandir}/man3/MPI_Comm_test_inter.3.*
%exclude %{_mandir}/man3/MPI_Dims_create.3.*
%exclude %{_mandir}/man3/MPI_Errhandler_create.3.*
%exclude %{_mandir}/man3/MPI_Errhandler_free.3.*
%exclude %{_mandir}/man3/MPI_Errhandler_get.3.*
%exclude %{_mandir}/man3/MPI_Errhandler_set.3.*
%exclude %{_mandir}/man3/MPI_Error_class.3.*
%exclude %{_mandir}/man3/MPI_Error_string.3.*
%exclude %{_mandir}/man3/MPI_Exscan.3.*
%exclude %{_mandir}/man3/MPI_File_c2f.3.*
%exclude %{_mandir}/man3/MPI_File_close.3.*
%exclude %{_mandir}/man3/MPI_File_delete.3.*
%exclude %{_mandir}/man3/MPI_File_f2c.3.*
%exclude %{_mandir}/man3/MPI_File_get_amode.3.*
%exclude %{_mandir}/man3/MPI_File_get_atomicity.3.*
%exclude %{_mandir}/man3/MPI_File_get_byte_offset.3.*
%exclude %{_mandir}/man3/MPI_File_get_errhandler.3.*
%exclude %{_mandir}/man3/MPI_File_get_group.3.*
%exclude %{_mandir}/man3/MPI_File_get_info.3.*
%exclude %{_mandir}/man3/MPI_File_get_position.3.*
%exclude %{_mandir}/man3/MPI_File_get_position_shared.3.*
%exclude %{_mandir}/man3/MPI_File_get_size.3.*
%exclude %{_mandir}/man3/MPI_File_get_type_extent.3.*
%exclude %{_mandir}/man3/MPI_File_get_view.3.*
%exclude %{_mandir}/man3/MPI_File_iread.3.*
%exclude %{_mandir}/man3/MPI_File_iread_at.3.*
%exclude %{_mandir}/man3/MPI_File_iread_shared.3.*
%exclude %{_mandir}/man3/MPI_File_iwrite.3.*
%exclude %{_mandir}/man3/MPI_File_iwrite_at.3.*
%exclude %{_mandir}/man3/MPI_File_iwrite_shared.3.*
%exclude %{_mandir}/man3/MPI_File_open.3.*
%exclude %{_mandir}/man3/MPI_File_preallocate.3.*
%exclude %{_mandir}/man3/MPI_File_read.3.*
%exclude %{_mandir}/man3/MPI_File_read_all.3.*
%exclude %{_mandir}/man3/MPI_File_read_all_begin.3.*
%exclude %{_mandir}/man3/MPI_File_read_all_end.3.*
%exclude %{_mandir}/man3/MPI_File_read_at.3.*
%exclude %{_mandir}/man3/MPI_File_read_at_all.3.*
%exclude %{_mandir}/man3/MPI_File_read_at_all_begin.3.*
%exclude %{_mandir}/man3/MPI_File_read_at_all_end.3.*
%exclude %{_mandir}/man3/MPI_File_read_ordered.3.*
%exclude %{_mandir}/man3/MPI_File_read_ordered_begin.3.*
%exclude %{_mandir}/man3/MPI_File_read_ordered_end.3.*
%exclude %{_mandir}/man3/MPI_File_read_shared.3.*
%exclude %{_mandir}/man3/MPI_File_seek.3.*
%exclude %{_mandir}/man3/MPI_File_seek_shared.3.*
%exclude %{_mandir}/man3/MPI_File_set_atomicity.3.*
%exclude %{_mandir}/man3/MPI_File_set_errhandler.3.*
%exclude %{_mandir}/man3/MPI_File_set_info.3.*
%exclude %{_mandir}/man3/MPI_File_set_size.3.*
%exclude %{_mandir}/man3/MPI_File_set_view.3.*
%exclude %{_mandir}/man3/MPI_File_sync.3.*
%exclude %{_mandir}/man3/MPI_File_write.3.*
%exclude %{_mandir}/man3/MPI_File_write_all.3.*
%exclude %{_mandir}/man3/MPI_File_write_all_begin.3.*
%exclude %{_mandir}/man3/MPI_File_write_all_end.3.*
%exclude %{_mandir}/man3/MPI_File_write_at.3.*
%exclude %{_mandir}/man3/MPI_File_write_at_all.3.*
%exclude %{_mandir}/man3/MPI_File_write_at_all_begin.3.*
%exclude %{_mandir}/man3/MPI_File_write_at_all_end.3.*
%exclude %{_mandir}/man3/MPI_File_write_ordered.3.*
%exclude %{_mandir}/man3/MPI_File_write_ordered_begin.3.*
%exclude %{_mandir}/man3/MPI_File_write_ordered_end.3.*
%exclude %{_mandir}/man3/MPI_File_write_shared.3.*
%exclude %{_mandir}/man3/MPI_Finalize.3.*
%exclude %{_mandir}/man3/MPI_Finalized.3.*
%exclude %{_mandir}/man3/MPI_Free_mem.3.*
%exclude %{_mandir}/man3/MPI_Gather.3.*
%exclude %{_mandir}/man3/MPI_Gatherv.3.*
%exclude %{_mandir}/man3/MPI_Get.3.*
%exclude %{_mandir}/man3/MPI_Get_address.3.*
%exclude %{_mandir}/man3/MPI_Get_count.3.*
%exclude %{_mandir}/man3/MPI_Get_elements.3.*
%exclude %{_mandir}/man3/MPI_Get_processor_name.3.*
%exclude %{_mandir}/man3/MPI_Get_version.3.*
%exclude %{_mandir}/man3/MPI_Graph_create.3.*
%exclude %{_mandir}/man3/MPI_Graph_get.3.*
%exclude %{_mandir}/man3/MPI_Graph_map.3.*
%exclude %{_mandir}/man3/MPI_Graph_neighbors.3.*
%exclude %{_mandir}/man3/MPI_Graph_neighbors_count.3.*
%exclude %{_mandir}/man3/MPI_Graphdims_get.3.*
%exclude %{_mandir}/man3/MPI_Group_c2f.3.*
%exclude %{_mandir}/man3/MPI_Group_compare.3.*
%exclude %{_mandir}/man3/MPI_Group_difference.3.*
%exclude %{_mandir}/man3/MPI_Group_excl.3.*
%exclude %{_mandir}/man3/MPI_Group_f2c.3.*
%exclude %{_mandir}/man3/MPI_Group_free.3.*
%exclude %{_mandir}/man3/MPI_Group_incl.3.*
%exclude %{_mandir}/man3/MPI_Group_intersection.3.*
%exclude %{_mandir}/man3/MPI_Group_range_excl.3.*
%exclude %{_mandir}/man3/MPI_Group_range_incl.3.*
%exclude %{_mandir}/man3/MPI_Group_rank.3.*
%exclude %{_mandir}/man3/MPI_Group_size.3.*
%exclude %{_mandir}/man3/MPI_Group_translate_ranks.3.*
%exclude %{_mandir}/man3/MPI_Group_union.3.*
%exclude %{_mandir}/man3/MPI_Ibsend.3.*
%exclude %{_mandir}/man3/MPI_Info_c2f.3.*
%exclude %{_mandir}/man3/MPI_Info_create.3.*
%exclude %{_mandir}/man3/MPI_Info_delete.3.*
%exclude %{_mandir}/man3/MPI_Info_dup.3.*
%exclude %{_mandir}/man3/MPI_Info_f2c.3.*
%exclude %{_mandir}/man3/MPI_Info_free.3.*
%exclude %{_mandir}/man3/MPI_Info_get.3.*
%exclude %{_mandir}/man3/MPI_Info_get_nkeys.3.*
%exclude %{_mandir}/man3/MPI_Info_get_nthkey.3.*
%exclude %{_mandir}/man3/MPI_Info_get_valuelen.3.*
%exclude %{_mandir}/man3/MPI_Info_set.3.*
%exclude %{_mandir}/man3/MPI_Init.3.*
%exclude %{_mandir}/man3/MPI_Init_thread.3.*
%exclude %{_mandir}/man3/MPI_Initialized.3.*
%exclude %{_mandir}/man3/MPI_Intercomm_create.3.*
%exclude %{_mandir}/man3/MPI_Intercomm_merge.3.*
%exclude %{_mandir}/man3/MPI_Iprobe.3.*
%exclude %{_mandir}/man3/MPI_Irecv.3.*
%exclude %{_mandir}/man3/MPI_Irsend.3.*
%exclude %{_mandir}/man3/MPI_Is_thread_main.3.*
%exclude %{_mandir}/man3/MPI_Isend.3.*
%exclude %{_mandir}/man3/MPI_Issend.3.*
%exclude %{_mandir}/man3/MPI_Keyval_create.3.*
%exclude %{_mandir}/man3/MPI_Keyval_free.3.*
%exclude %{_mandir}/man3/MPI_Lookup_name.3.*
%exclude %{_mandir}/man3/MPI_Op_c2f.3.*
%exclude %{_mandir}/man3/MPI_Op_create.3.*
%exclude %{_mandir}/man3/MPI_Op_f2c.3.*
%exclude %{_mandir}/man3/MPI_Op_free.3.*
%exclude %{_mandir}/man3/MPI_Open_port.3.*
%exclude %{_mandir}/man3/MPI_Pack.3.*
%exclude %{_mandir}/man3/MPI_Pack_size.3.*
%exclude %{_mandir}/man3/MPI_Pcontrol.3.*
%exclude %{_mandir}/man3/MPI_Probe.3.*
%exclude %{_mandir}/man3/MPI_Publish_name.3.*
%exclude %{_mandir}/man3/MPI_Put.3.*
%exclude %{_mandir}/man3/MPI_Query_thread.3.*
%exclude %{_mandir}/man3/MPI_Recv.3.*
%exclude %{_mandir}/man3/MPI_Recv_init.3.*
%exclude %{_mandir}/man3/MPI_Reduce.3.*
%exclude %{_mandir}/man3/MPI_Reduce_scatter.3.*
%exclude %{_mandir}/man3/MPI_Register_datarep.3.*
%exclude %{_mandir}/man3/MPI_Request_c2f.3.*
%exclude %{_mandir}/man3/MPI_Request_f2c.3.*
%exclude %{_mandir}/man3/MPI_Request_free.3.*
%exclude %{_mandir}/man3/MPI_Rsend.3.*
%exclude %{_mandir}/man3/MPI_Rsend_init.3.*
%exclude %{_mandir}/man3/MPI_Scan.3.*
%exclude %{_mandir}/man3/MPI_Scatter.3.*
%exclude %{_mandir}/man3/MPI_Scatterv.3.*
%exclude %{_mandir}/man3/MPI_Send.3.*
%exclude %{_mandir}/man3/MPI_Send_init.3.*
%exclude %{_mandir}/man3/MPI_Sendrecv.3.*
%exclude %{_mandir}/man3/MPI_Sendrecv_replace.3.*
%exclude %{_mandir}/man3/MPI_Ssend.3.*
%exclude %{_mandir}/man3/MPI_Ssend_init.3.*
%exclude %{_mandir}/man3/MPI_Start.3.*
%exclude %{_mandir}/man3/MPI_Startall.3.*
%exclude %{_mandir}/man3/MPI_Status_c2f.3.*
%exclude %{_mandir}/man3/MPI_Status_f2c.3.*
%exclude %{_mandir}/man3/MPI_Test.3.*
%exclude %{_mandir}/man3/MPI_Test_cancelled.3.*
%exclude %{_mandir}/man3/MPI_Testall.3.*
%exclude %{_mandir}/man3/MPI_Testany.3.*
%exclude %{_mandir}/man3/MPI_Testsome.3.*
%exclude %{_mandir}/man3/MPI_Topo_test.3.*
%exclude %{_mandir}/man3/MPI_Type_c2f.3.*
%exclude %{_mandir}/man3/MPI_Type_commit.3.*
%exclude %{_mandir}/man3/MPI_Type_contiguous.3.*
%exclude %{_mandir}/man3/MPI_Type_create_darray.3.*
%exclude %{_mandir}/man3/MPI_Type_create_hindexed.3.*
%exclude %{_mandir}/man3/MPI_Type_create_hvector.3.*
%exclude %{_mandir}/man3/MPI_Type_create_keyval.3.*
%exclude %{_mandir}/man3/MPI_Type_create_struct.3.*
%exclude %{_mandir}/man3/MPI_Type_create_subarray.3.*
%exclude %{_mandir}/man3/MPI_Type_delete_attr.3.*
%exclude %{_mandir}/man3/MPI_Type_dup.3.*
%exclude %{_mandir}/man3/MPI_Type_extent.3.*
%exclude %{_mandir}/man3/MPI_Type_f2c.3.*
%exclude %{_mandir}/man3/MPI_Type_free.3.*
%exclude %{_mandir}/man3/MPI_Type_free_keyval.3.*
%exclude %{_mandir}/man3/MPI_Type_get_attr.3.*
%exclude %{_mandir}/man3/MPI_Type_get_contents.3.*
%exclude %{_mandir}/man3/MPI_Type_get_envelope.3.*
%exclude %{_mandir}/man3/MPI_Type_get_extent.3.*
%exclude %{_mandir}/man3/MPI_Type_get_name.3.*
%exclude %{_mandir}/man3/MPI_Type_get_true_extent.3.*
%exclude %{_mandir}/man3/MPI_Type_hindexed.3.*
%exclude %{_mandir}/man3/MPI_Type_hvector.3.*
%exclude %{_mandir}/man3/MPI_Type_indexed.3.*
%exclude %{_mandir}/man3/MPI_Type_lb.3.*
%exclude %{_mandir}/man3/MPI_Type_set_attr.3.*
%exclude %{_mandir}/man3/MPI_Type_set_name.3.*
%exclude %{_mandir}/man3/MPI_Type_size.3.*
%exclude %{_mandir}/man3/MPI_Type_struct.3.*
%exclude %{_mandir}/man3/MPI_Type_ub.3.*
%exclude %{_mandir}/man3/MPI_Type_vector.3.*
%exclude %{_mandir}/man3/MPI_Unpack.3.*
%exclude %{_mandir}/man3/MPI_Wait.3.*
%exclude %{_mandir}/man3/MPI_Waitall.3.*
%exclude %{_mandir}/man3/MPI_Waitany.3.*
%exclude %{_mandir}/man3/MPI_Waitsome.3.*
%exclude %{_mandir}/man3/MPI_Win_c2f.3.*
%exclude %{_mandir}/man3/MPI_Win_call_errhandler.3.*
%exclude %{_mandir}/man3/MPI_Win_complete.3.*
%exclude %{_mandir}/man3/MPI_Win_create.3.*
%exclude %{_mandir}/man3/MPI_Win_create_errhandler.3.*
%exclude %{_mandir}/man3/MPI_Win_create_keyval.3.*
%exclude %{_mandir}/man3/MPI_Win_delete_attr.3.*
%exclude %{_mandir}/man3/MPI_Win_f2c.3.*
%exclude %{_mandir}/man3/MPI_Win_fence.3.*
%exclude %{_mandir}/man3/MPI_Win_free.3.*
%exclude %{_mandir}/man3/MPI_Win_free_keyval.3.*
%exclude %{_mandir}/man3/MPI_Win_get_attr.3.*
%exclude %{_mandir}/man3/MPI_Win_get_errhandler.3.*
%exclude %{_mandir}/man3/MPI_Win_get_group.3.*
%exclude %{_mandir}/man3/MPI_Win_get_name.3.*
%exclude %{_mandir}/man3/MPI_Win_post.3.*
%exclude %{_mandir}/man3/MPI_Win_set_attr.3.*
%exclude %{_mandir}/man3/MPI_Win_set_errhandler.3.*
%exclude %{_mandir}/man3/MPI_Win_set_name.3.*
%exclude %{_mandir}/man3/MPI_Win_start.3.*
%exclude %{_mandir}/man3/MPI_Win_unlock.3.*
%exclude %{_mandir}/man3/MPI_Win_wait.3.*
%exclude %{_mandir}/man3/MPI_Wtick.3.*
%exclude %{_mandir}/man3/MPI_Wtime.3.*

%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_bindir}/opal_wrapper
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/%{name}/*.so
#%{_libdir}/%{name}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}/*.mod

%changelog
* Sat May 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-2m)
- delete conflict manuals

* Thu May  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6
- add some libtool libraries

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-4m)
- rebuild against gcc43

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.1-3m)
- delete libtool library

* Tue Oct 03 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.1-2m)
- Conflicts: mpich < 1.2.6-3m

* Sat Sep 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.1-1m)
- imported to Momonga based on the package in Fedora Core

* Sun Aug 27 2006 Doug Ledford <dledford@redhat.com> - 1.1-4
- Make sure the post/preun scripts only add/remove alternatives on initial
  install and final removal, otherwise don't touch.

* Fri Aug 25 2006 Doug Ledford <dledford@redhat.com> - 1.1-3
- Don't ghost the mpi.conf file as that means it will get removed when
  you remove 1 out of a number of alternatives based packages
- Put the .mod file in -devel

* Mon Aug  7 2006 Doug Ledford <dledford@redhat.com> - 1.1-2
- Various lint cleanups
- Switch to using the standard alternatives mechanism instead of a home
  grown one

* Wed Aug  2 2006 Doug Ledford <dledford@redhat.com> - 1.1-1
- Upgrade to 1.1
- Build with Infiniband support via openib

* Mon Jun 12 2006 Jason Vas Dias <jvdias@redhat.com> - 1.0.2-1
- Upgrade to 1.0.2

* Wed Feb 15 2006 Jason Vas Dias <jvdias@redhat.com> - 1.0.1-1
- Import into Fedora Core
- Resolve LAM clashes 

* Wed Jan 25 2006 Orion Poplawski <orion@cora.nwra.com> - 1.0.1-2
- Use configure options to install includes and libraries
- Add ld.so.conf.d file to find libraries
- Add -fPIC for x86_64

* Tue Jan 24 2006 Orion Poplawski <orion@cora.nwra.com> - 1.0.1-1
- 1.0.1
- Use alternatives

* Sat Nov 19 2005 Ed Hill <ed@eh3.com> - 1.0-2
- fix lam conflicts

* Fri Nov 18 2005 Ed Hill <ed@eh3.com> - 1.0-1
- initial specfile created

